SystemOrganization addCategory: #'DeliSqueak-util'!

!DLApplication class methodsFor: '*delisqueak-cronjob' stamp: 'topa 5/10/2010 08:34'!
startSqueakNotificationSchedule

	scheduler := TaskScheduler new.
	scheduler start.
	scheduler do: [
		Transcript show: DateAndTime now asString; cr;
					  show: 'Running notification process'; cr.
		DLNotification releaseMails.
		Transcript show: 'Finished';cr.
		] every: 1200 seconds.! !

!DLApplication class methodsFor: '*delisqueak-cronjob' stamp: 'topa 5/10/2010 08:34'!
stopSqueakNotificationSchedule

	scheduler stop.! !

WAKomEncoded subclass: #DLKomEncoded
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeliSqueak-util'!

!DLKomEncoded commentStamp: 'tfel 2/11/2010 00:19' prior: 0!
This Subclasses only purpose is to ALWAYS stream uploads to avoid filling the image memory!

!DLKomEncoded methodsFor: 'accessing' stamp: 'tfel 2/11/2010 00:18'!
streamUploads

	 ^ true! !

!DLMail methodsFor: '*delisqueak-mailing' stamp: 'tfel 1/12/2011 11:37'!
sendMail

 | username password client |

	username := 'squeaky'.
	password := 'jflymcv98yM'.

	client := SMTPClient openOnHostNamed: 'darwin.yetisoft.net' port: 4400.
	client 	user: username;
			password: password;
			login;
			initiateSession.
	self receivers ifNotNilDo: [:recvs | recvs do: [:anEmailAdress |  
		client mailFrom: self sender;
			recipient: anEmailAdress;
			data: 'Subject: ', (self subject convertToEncoding: 'UTF-8'), String cr,
			'From: ', self sender, String cr,
			'To: ', (self receiversString convertToEncoding: 'UTF-8') , String cr,
			'Content-Type: text/html;charset=UTF-8', String cr,
			(self text convertToEncoding: 'UTF-8')]].
		client quit
! !

!DLAdminDeadlineZipComp methodsFor: '*delisqueak-zipping' stamp: 'tfel 1/12/2011 14:23'!
createZipFile

	ZipArchive new
		addTree: self baseDirectory, self zipDirectoryPath 
		match: [:e | true];
		writeToFileNamed: self zipFile.! !

!DLModel methodsFor: '*delisqueak-save' stamp: 'tfel 6/21/2010 12:11'!
smalltalkDependentSaveStrategy

	DLModel writeMutex critical: [SmalltalkImage current saveSession].! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:35'!
resetApplication
	DLKomEncoded stop.
	WARegistry clearAllHandlers.
	Smalltalk garbageCollect.
	DLKomEncoded startOn: 8005.! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:33'!
startScheduler

	DLApplication startSqueakNotificationSchedule.! !

!DeliSetup methodsFor: '*delisqueak-setup' stamp: 'topa 5/10/2010 08:33'!
stopScheduler

	DLApplication stopSqueakNotificationSchedule.! !
